RECTCLIP(3R)

NAME
rectclip - clip a Rectangle to another Rectangle

SYNOPSIS
#include <dmd.h>

int rectclip (rp, s)
Rectangle *rp, s;

DESCRIPTION
The rectclip function clips the Rectangle pointed to by rp so that it is completely contained within the Rectangle s. The return value is 1 if any part of *rp is within s. Otherwise, the return value is 0 and *rp is unchanged.

EXAMPLE
See the example for newrect(3R).

SEE ALSO
newrect(3R).